Bug 246355

Summary: module loader fetch should queue macro-task
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: New BugsAssignee: Yusuke Suzuki <ysuzuki>
Status: RESOLVED FIXED    
Severity: Normal CC: hhjalmarsson, tomac, webkit-bot-watchers-bugzilla, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=220823

Description Ryan Haddad 2022-10-11 12:11:43 PDT
The following two tests were imported as part of https://commits.webkit.org/254987@main and have been flaky failures on macOS debug WK2 bots:
imported/w3c/web-platform-tests/import-maps/multiple-import-maps/basic.html
imported/w3c/web-platform-tests/import-maps/multiple-import-maps/with-errors.html


--- /Volumes/Data/worker/Apple-BigSur-Debug-AppleSilicon-WK2-Tests/build/layout-test-results/imported/w3c/web-platform-tests/import-maps/multiple-import-maps/with-errors-expected.txt
+++ /Volumes/Data/worker/Apple-BigSur-Debug-AppleSilicon-WK2-Tests/build/layout-test-results/imported/w3c/web-platform-tests/import-maps/multiple-import-maps/with-errors-actual.txt
@@ -1,4 +1,4 @@
 CONSOLE MESSAGE: ImportMap has invalid JSON
 
-PASS Second import map should be rejected after an import map with errors
+FAIL Second import map should be rejected after an import map with errors assert_array_equals: lengths differ, expected array ["onerror 2", "log:A"] length 2, got ["log:A"] length 1
 
--- /Volumes/Data/worker/Apple-BigSur-Debug-AppleSilicon-WK2-Tests/build/layout-test-results/imported/w3c/web-platform-tests/import-maps/multiple-import-maps/basic-expected.txt
+++ /Volumes/Data/worker/Apple-BigSur-Debug-AppleSilicon-WK2-Tests/build/layout-test-results/imported/w3c/web-platform-tests/import-maps/multiple-import-maps/basic-actual.txt
@@ -1,3 +1,3 @@
 
-PASS Second import map should be rejected
+FAIL Second import map should be rejected assert_array_equals: expected property 0 to be "onerror 2" but got "log:B1" (expected array ["onerror 2", "log:B1", "log:B2", "log:A3"] got ["log:B1", "onerror 2", "log:B2", "log:A3"])
 

https://results.webkit.org/?suite=layout-tests&suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fimport-maps%2Fmultiple-import-maps%2Fbasic.html&test=imported%2Fw3c%2Fweb-platform-tests%2Fimport-maps%2Fmultiple-import-maps%2Fwith-errors.html
Comment 1 Radar WebKit Bug Importer 2022-10-11 12:12:13 PDT
<rdar://problem/101044632>
Comment 2 Ryan Haddad 2022-10-11 13:52:26 PDT
Pull request: https://github.com/WebKit/WebKit/pull/5250
Comment 3 EWS 2022-10-11 13:55:43 PDT
Test gardening commit 255400@main (70b1e6ca43ce): <https://commits.webkit.org/255400@main>

Reviewed commits have been landed. Closing PR #5250 and removing active labels.
Comment 4 EWS 2022-10-12 14:55:13 PDT
Test gardening commit 255456@main (5a385201e5b4): <https://commits.webkit.org/255456@main>

Reviewed commits have been landed. Closing PR #5302 and removing active labels.
Comment 5 Hercules Hjalmarsson 2022-10-12 14:56:05 PDT
(In reply to EWS from comment #4)
> Test gardening commit 255456@main (5a385201e5b4):
> <https://commits.webkit.org/255456@main>
> 
> Reviewed commits have been landed. Closing PR #5302 and removing active
> labels.

This is also happening on release. Updated expectations in above commit.
Comment 6 Yusuke Suzuki 2022-11-01 17:07:15 PDT
Pull request: https://github.com/WebKit/WebKit/pull/6017
Comment 7 EWS 2022-11-02 09:12:25 PDT
Committed 256234@main (56c57359f47b): <https://commits.webkit.org/256234@main>

Reviewed commits have been landed. Closing PR #6017 and removing active labels.